package com.lanyuanxiaoyao.service.configuration.entity.hudi;

/**
 * HDFS文件
 *
 * @author lanyuanxiaoyao
 * @date 2024-04-26
 */
public class HPath {
    private String name;
    private String path;
    private Boolean file;
    private Boolean folder;
    private Long size;
    private String group;
    private String owner;
    private String permission;
    private Integer replication;
    private Long modifyTime;

    public HPath() {
    }

    public HPath(String name, String path, Boolean file, Boolean folder, Long size, String group, String owner, String permission, Integer replication, Long modifyTime) {
        this.name = name;
        this.path = path;
        this.file = file;
        this.folder = folder;
        this.size = size;
        this.group = group;
        this.owner = owner;
        this.permission = permission;
        this.replication = replication;
        this.modifyTime = modifyTime;
    }

    public String getName() {
        return name;
    }

    public String getPath() {
        return path;
    }

    public Boolean getFile() {
        return file;
    }

    public Boolean getFolder() {
        return folder;
    }

    public Long getSize() {
        return size;
    }

    public String getGroup() {
        return group;
    }

    public String getOwner() {
        return owner;
    }

    public String getPermission() {
        return permission;
    }

    public Integer getReplication() {
        return replication;
    }

    public Long getModifyTime() {
        return modifyTime;
    }

    @Override
    public String toString() {
        return "HPath{" +
               "name='" + name + '\'' +
               ", path='" + path + '\'' +
               ", file=" + file +
               ", folder=" + folder +
               ", size=" + size +
               ", group='" + group + '\'' +
               ", owner='" + owner + '\'' +
               ", permission='" + permission + '\'' +
               ", replication=" + replication +
               ", modifyTime=" + modifyTime +
               '}';
    }
}
